:tools: Scheduled maintenance

Heads up! Downtime for the Forums, related to the NodeBB upgrade, is planned for Thursday, December 14, starting from 10:00 UTC.
Please make sure to finish all your posts before this time. The downtime should only last for a few minutes.

Flashplayer stopped working under Arch Linux

  • This post may, in effect be a duplicate of the recent "Flash Won't Work on Ubuntu", but I am not certain that it is. No doubt the moderators will decide.

    My issue relates to Arch Linux. My 64 bit installation is up-to-date and I am running the current Opera 41.0.2353.46.

    Yesterday Flashplayer stopped working. All sites tell me that my version is out of date. I also run chromium and have /usr/lib/PepperFlash/libpepflashplayer.so. That seems to be the correct plugin and is in one of the locations that Opera expects to find it (at least according to /usr/lib/opera/resources/pepper_flash_config.json). The plugin was last updated on 15th September this year, it works normally in chromium and was worked normally in Opera until yesterday.

    Any ideas please?

  • @palfrox you need a more recent version of Flash. In Ubuntu you could use the adobe-flashplugin package from the Canonical Partners repo, which is the most recent version from Adobe themselves.

  • @avl Many thanks for the swift response. It does seem strange that the same plugin is not detected as out of date when used in chromium, and that the issue should suddenly arise without warning. I thought that flashplayer was not longer being updated for linux. I am sure, however, that you know far more than I about such things. I will see what I can achieve.

  • A quick update on this for Arch users.

    I use cower to keep my AUR packages up to date. It turns out that the package name has changed from chromium-pepper-flash to simply pepper-flash and so the new package is not detected. I have found and installed it and Opera now has flashplayer again. (Still beats me why Chromium could get away with using the old version.)

  • Can you please help me to install flash on fedora 25? i have also chrome installed and it works all right but it seems I don t know how to make opera recognize the plugin..

Log in to reply
 

Looks like your connection to Opera forums was lost, please wait while we try to reconnect.